import request from '@/utils/request'

// 查询吊销信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrRevokeInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询吊销信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrRevokeInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增吊销信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrRevokeInfo',
    method: 'post',
    data: data
  })
}

// 修改吊销信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrRevokeInfo',
    method: 'put',
    data: data
  })
}

// 删除吊销信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrRevokeInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrRevokeInfo/delete',ids)
}
